Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slacn2

    java.lang.Object
      org.netlib.lapack.Slacn2

    public class Slacn2

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLACN2 estimates the 1-norm of a square, real matrix A.
     *  Reverse communication is used for evaluating matrix-vector products.

     *
     *  Arguments
     *  =========
     *
     *  N      (input) INTEGER
     *         The order of the matrix.  N >= 1.
     *
     *  V      (workspace) REAL array, dimension (N)
     *         On the final return, V = A*W,  where  EST = norm(V)/norm(W)
     *         (W is not returned).
     *
     *  X      (input/output) REAL array, dimension (N)
     *         On an intermediate return, X should be overwritten by
     *               A * X,   if KASE=1,
     *               A' * X,  if KASE=2,
     *         and SLACN2 must be re-called with all the other parameters
     *         unchanged.
     *
     *  ISGN   (workspace) INTEGER array, dimension (N)
     *
     *  EST    (input/output) REAL
     *         On entry with KASE = 1 or 2 and ISAVE(1) = 3, EST should be
     *         unchanged from the previous call to SLACN2.
     *         On exit, EST is an estimate (a lower bound) for norm(A).
     *
     *  KASE   (input/output) INTEGER
     *         On the initial call to SLACN2, KASE should be 0.
     *         On an intermediate return, KASE will be 1 or 2, indicating
     *         whether X should be overwritten by A * X  or A' * X.
     *         On the final return from SLACN2, KASE will again be 0.
     *
     *  ISAVE  (input/output) INTEGER array, dimension (3)
     *         ISAVE is used to save variables between calls to SLACN2
     *
     *  Further Details
     *  ======= =======
     *
     *  Contributed by Nick Higham, University of Manchester.
     *  Originally named SONEST, dated March 16, 1988.
     *
     *  Reference: N.J. Higham, "FORTRAN codes for estimating the one-norm of
     *  a real or complex matrix, with applications to condition estimation",
     *  ACM Trans. Math. Soft., vol. 14, no. 4, pp. 381-396, December 1988.
     *
     *  This is a thread safe version of SLACON, which uses the array ISAVE
     *  in place of a SAVE statement, as follows:
     *
     *     SLACON     SLACN2
     *      JUMP     ISAVE(1)
     *      J        ISAVE(2)
     *      ITER     ISAVE(3)
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Slacn2()`

Method Summary
`static void` | `slacn2(int n, float[] v, int _v_offset, float[] x, int _x_offset, int[] isgn, int _isgn_offset, floatW est, intW kase, int[] isave, int _isave_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slacn2

    public Slacn2()

Method Detail

### slacn2

    public static void slacn2(int n,
                              float[] v,
                              int _v_offset,
                              float[] x,
                              int _x_offset,
                              int[] isgn,
                              int _isgn_offset,
                              floatW est,
                              intW kase,
                              int[] isave,
                              int _isave_offset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD